﻿@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util;
@using SPEX.Models
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_PackingCompletionPartialScript")
<div class="content">
    <table style="width: 100%">
        <tr>
            <td style="width: 30%">
                <fieldset style="border: 1px; border-style: outset; width: 96%; height: 40px;">
                    <table>
                        <tr>
                            <td style="width: 320px; vertical-align: top">
                                @Html.Partial("_UploadPartial")
                            </td>
                            <td>
                                @Html.DevExpress().Button(Button =>
                                {
                                    Button.Name = "cmdUploadData";
                                    Button.Text = "Upload";
                                    Button.Width = 90;
                                    Button.ClientSideEvents.Click = "OnUploadData";
                                    Button.Style.Add("display", "inline-table");
                                    Button.UseSubmitBehavior = true;
                                    Button.ClientEnabled = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PackingCompletion", "FTR-SPEX-161-02", "UPLOAD");
                                }).GetHtml()
                                @Html.DevExpress().TextBox(hsettings =>
                                {
                                    hsettings.Name = "Process_ID2";
                                    hsettings.ClientVisible = false;
                                }).GetHtml()
                            </td>
                        </tr>
                        <tr>
                            <td>
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "";
                                }).GetHtml()
                                @Html.DevExpress().HyperLink(Link =>
                                {
                                    Link.Name = "cmdDownloadLink";
                                    Link.Properties.Text = "Download Template";
                                    Link.Width = 160;
                                    //Link.Height = 20;
                                    Link.NavigateUrl = "Template/TemplatePackingCompletion.xlsx";
                                    Link.Style.Add("display", "inline-table");
                                    //Button.ClientSideEvents.Click = "Upload";

                                }).GetHtml()
                            </td>
                            <td></td>
                        </tr>
                    </table>
                </fieldset>
            </td>
            <td style="width: 70%">
                <fieldset style="border: 1px; border-style: outset; height: 40px; width: 96%">
                    <table border="0" width="100%">
                        <tr>
                            <td style="width: 10%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "*Packing Date From";
                                    Label.Width = 130;
                                }).GetHtml()
                            </td>
                            <td style="width: 15%;">
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_PACKING_DT_FROM";
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                                    settings.Properties.DisplayFormatInEditMode = true;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.CalendarProperties.EnableYearNavigation = true;
                                    settings.Width = 110;
                                    settings.Properties.ClientSideEvents.DateChanged = "I_PACKING_DT_FROM_OnChanged";
                                }).GetHtml()
                            </td>
                            <td style="width: 8%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "*To";
                                    Label.Width = 90;
                                }).GetHtml()
                            </td>
                            <td style="width: 15%;">
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_PACKING_DT_TO";
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                                    settings.Properties.DisplayFormatInEditMode = true;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.CalendarProperties.EnableYearNavigation = true;
                                    settings.Width = 110;
                                }).GetHtml()
                            </td>
                            <td style="width: 10%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "Case No";
                                    Label.Width = 90;
                                }).GetHtml()
                            </td>
                            <td style="width: 15%;">
                                @Html.DevExpress().TextBox(
                                 settings =>
                                 {
                                     settings.Name = "I_CASE_NO";
                                     settings.Width = 100;
                                     settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                 }
                              ).GetHtml()
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 10%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "TMAP Order No";
                                    Label.Width = 90;
                                }).GetHtml()
                            </td>
                            <td style="width: 15%;">
                                @Html.DevExpress().TextBox(
                                 settings =>
                                 {
                                     settings.Name = "I_TMAP_ORDER_NO";
                                     settings.Width = 100;
                                     settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                 }
                              ).GetHtml()
                            </td>
                            <td style="width: 10%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "Part No";
                                    Label.Width = 90;
                                }).GetHtml()
                            </td>
                            <td style="width: 15%;">
                                @Html.DevExpress().TextBox(
                                 settings =>
                                 {
                                     settings.Name = "I_PART_NO";
                                     settings.Width = 100;
                                     settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                 }
                              ).GetHtml()
                            </td>
                            <td style="width: 10%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "Item No";
                                    Label.Width = 90;
                                }).GetHtml()
                            </td>
                            <td style="width: 15%;">
                                @Html.DevExpress().TextBox(
                                 settings =>
                                 {
                                     settings.Name = "I_ITEM_NO";
                                     settings.Width = 100;
                                     settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                 }
                              ).GetHtml()
                            </td>
                        </tr>
                    </table>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                &nbsp;
            </td>
        </tr>
    </table>
    <table border="0" width="100%">
        <tr>
            <td style="width: 40%;" align="left" colspan="2">
                @Html.DevExpress().Button(edtSetting =>
                {
                    edtSetting.Name = "cmdDownload";
                    edtSetting.Width = 80;
                    edtSetting.Text = "Download";
                    edtSetting.ClientSideEvents.Click = "OnDownload";
                    edtSetting.Style.Add("display", "inline-table");
                    //edtSetting.UseSubmitBehavior = true;
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PackingCompletion", "FTR-SPEX-161-02", "DOWNLOAD");
                }).GetHtml()
            </td>
            <td style="width: 60%" align="right">
                @Html.DevExpress().Button(edtSetting =>
                {
                    edtSetting.Name = "cmdSearch";
                    edtSetting.Width = 80;
                    edtSetting.Text = "Search";
                    edtSetting.ClientSideEvents.Click = "OnSearch";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PackingCompletion", "FTR-SPEX-161-01", "SEARCH");
                }).GetHtml()
                @Html.DevExpress().Button(edtSetting =>
                {
                    edtSetting.Name = "cmdClear";
                    edtSetting.Width = 80;
                    edtSetting.Text = "Clear";
                    edtSetting.ClientSideEvents.Click = "OnClear";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PackingCompletion", "FTR-SPEX-161-01", "CLEAR");
                }).GetHtml()
            </td>
        </tr>
    </table>
</div>
<div class="content" style="min-height: 300px">
    @Html.Partial("PackingCompletionGrid")
</div>
